Skip to main content
GET
/
api
/
v1
/
merchants
/
me
Oturum sahibinin bayi bilgilerini getir
curl --request GET \
  --url https://identity-sandbox.payven.com.tr/api/v1/merchants/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "legal_name": "<string>",
  "external_id": "<string>",
  "tax_id": "<string>",
  "tax_office": "<string>",
  "bkm_member_id": "<string>",
  "email": "<string>",
  "contact_phone": "<string>",
  "city": "<string>",
  "district": "<string>",
  "address": "<string>",
  "url": "<string>",
  "default_mcc": "<string>",
  "default_mcc_category": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_name": "<string>",
  "is_active": true,
  "created": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Response

OK

id
string<uuid>
tenant_id
string<uuid>
name
string | null
external_id
string | null
tax_id
string | null
tax_office
string | null
bkm_member_id
string | null
email
string | null
contact_phone
string | null
city
string | null
district
string | null
address
string | null
url
string | null
default_mcc
string | null
default_mcc_category
string | null
parent_id
string<uuid> | null
parent_name
string | null
is_active
boolean
status
enum<string>
Available options:
pending,
approved,
rejected
created
string<date-time>
last_modified
string<date-time>